Bug 919384 (CVE-2013-1826) - CVE-2013-1826 Kernel: xfrm_user: return error pointer instead of NULL
Summary: CVE-2013-1826 Kernel: xfrm_user: return error pointer instead of NULL
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1826
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 919386 919387 919388 919389
Blocks: 919029
TreeView+ depends on / blocked
 
Reported: 2013-03-08 10:37 UTC by Prasad J Pandit
Modified: 2019-09-29 13:01 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-23 21:17:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0744 normal SHIPPED_LIVE Important: kernel security and bug fix update 2013-04-23 22:25:40 UTC
Red Hat Product Errata RHSA-2013:0747 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2013-04-16 23:03:57 UTC

Description Prasad J Pandit 2013-03-08 10:37:25 UTC
Linux kernel built with XFRM framework support is vulnerable to a NULL pointer
dereference flaw. It occurs while accessing XFRM state via xfrm_state_netlink
routine.

A privileged(CAP_NET_ADMIN) user/program could use this flaw to crash systems,
resulting in DoS.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/864745d291b5ba80ea0bd0edcbe67273de368836

Reference:
----------
 -> http://seclists.org/oss-sec/2013/q1/598

Comment 1 Prasad J Pandit 2013-03-08 10:40:24 UTC
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise MRG 2.

This issue did affect the version of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise Linux 6.

Comment 3 errata-xmlrpc 2013-04-16 19:05:09 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0747 https://rhn.redhat.com/errata/RHSA-2013-0747.html

Comment 4 errata-xmlrpc 2013-04-23 18:29:15 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0744 https://rhn.redhat.com/errata/RHSA-2013-0744.html


Note You need to log in before you can comment on or make changes to this bug.